package com.citygis.web.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.citygis.web.domain.TabIpResult;

import java.util.List;

/**
 * <p>
 * ip监测结果表 服务类
 * </p>
 *
 * @author citygis
 * @since 2025-01-17
 */
public interface ITabIpResultService extends IService<TabIpResult> {

    List<TabIpResult> getTabIpResultList(TabIpResult tabIpResult);

    List<TabIpResult> getTabIpResultDetailByIpAndPort(TabIpResult tabIpResult);

    void insertTabIpResult();

}
